dejagnu
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

make check


From: Brian Lee
Subject: make check
Date: Mon, 6 May 2013 12:15:37 -0700

To Whom It May Concern:

I tried doing a "make check", and the following output occurred:

brian-lees-macbook:dejagnu-1.5.1 brianlee$ make check
make  unit
g++ -DPACKAGE_NAME=\"GNU\ DejaGnu\" -DPACKAGE_TARNAME=\"dejagnu\" -DPACKAGE_VERSION=\"1.5.1\" -DPACKAGE_STRING=\"GNU\ DejaGnu\ 1.5.1\" -DPACKAGE_BUGREPORT=\"address@hidden\" -DPACKAGE_URL=\"http://www.gnu.org/software/dejagnu/\" -DPACKAGE=\"dejagnu\" -DVERSION=\"1.5.1\" -I.    -I. -g -g -O2 -MT unit.o -MD -MP -MF .deps/unit.Tpo -c -o unit.o `test -f 'testsuite/libdejagnu/unit.cc' || echo './'`testsuite/libdejagnu/unit.cc
mv -f .deps/unit.Tpo .deps/unit.Po
g++ -I. -g -g -O2   -o unit unit.o  
make  check-DEJAGNU
Making a new site.exp file ...
srcdir='.'; export srcdir; \
EXPECT=/usr/bin/expect; export EXPECT; \
if /bin/sh -c "./runtest --version" > /dev/null 2>&1; then \
 exit_status=0; l='dejagnu'; for tool in $l; do \
   if ./runtest  --srcdir ./testsuite RUNTEST=./runtest ; \
   then :; else exit_status=1; fi; \
 done; \
else echo "WARNING: could not find './runtest'" 1>&2; :;\
fi; \
exit $exit_status
WARNING: Couldn't find the global config file.
WARNING: No tool specified
Test Run By brianlee on Mon May  6 10:12:13 2013
Native configuration is x86_64-apple-darwin10.8.0

===  tests ===

Schedule of variations:
    unix

Running target unix
Using ./testsuite/../config/base-config.exp as tool-and-target-specific interface file.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/config/default.exp as tool-and-target-specific interface file.
Running ./testsuite/libdejagnu/tunit.exp ...
ERROR: Need GNU size from the binutils
ERROR: Couldn't get the object file size
Running ./testsuite/runtest.all/libs.exp ...
Running ./testsuite/runtest.all/options.exp ...
Running ./testsuite/runtest.all/stats-sub.exp ...
Running ./testsuite/runtest.all/stats.exp ...

===  Summary ===

# of expected passes 66
brian-lees-macbook:dejagnu-1.5.1 brianlee$ make check
make  unit
make[1]: `unit' is up to date.
make  check-DEJAGNU
srcdir='.'; export srcdir; \
EXPECT=/usr/bin/expect; export EXPECT; \
if /bin/sh -c "./runtest --version" > /dev/null 2>&1; then \
 exit_status=0; l='dejagnu'; for tool in $l; do \
   if ./runtest  --srcdir ./testsuite RUNTEST=./runtest ; \
   then :; else exit_status=1; fi; \
 done; \
else echo "WARNING: could not find './runtest'" 1>&2; :;\
fi; \
exit $exit_status
WARNING: Couldn't find the global config file.
WARNING: No tool specified
Test Run By brianlee on Mon May  6 11:00:15 2013
Native configuration is x86_64-apple-darwin10.8.0

===  tests ===

Schedule of variations:
    unix

Running target unix
Using ./testsuite/../config/base-config.exp as tool-and-target-specific interface file.
Using ./config/unix.exp as generic interface file for target.
Using ./testsuite/config/default.exp as tool-and-target-specific interface file.
Running ./testsuite/libdejagnu/tunit.exp ...
ERROR: Need GNU size from the binutils
ERROR: Couldn't get the object file size
Running ./testsuite/runtest.all/libs.exp ...
Running ./testsuite/runtest.all/options.exp ...
Running ./testsuite/runtest.all/stats-sub.exp ...
Running ./testsuite/runtest.all/stats.exp ...

===  Summary ===

# of expected passes 66

I am not certain as to what "ERROR: Need GNU size from the binutils" means. Does this mean that my "make" was not successful? Thank you.

Sincerely,

Brian H. Lee

reply via email to

[Prev in Thread] Current Thread [Next in Thread]